Name:           smartcardpp
Version:        0.2.0
Release:        1%{?dist}
Summary:        Library for accessing smart cards

Group:          System Environment/Libraries
License:        BSD
URL:            http://code.google.com/p/esteid/
Source0:        http://esteid.googlecode.com/files/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cmake
BuildRequires:  pcsc-lite-devel
Requires:       pcsc-lite-libs%{?_isa}

%description
smartcardpp is a set of C++ classes to manage smart card
communications and implement basic command primitives.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pcsc-lite-devel

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING NEWS
%{_bindir}/card-test
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/smartcardpp/
%{_libdir}/*.so


%changelog
* Wed Oct 06 2010 Kalev Lember <kalev@smartlink.ee> - 0.2.0-1
- Update to 0.2.0

* Mon Mar 29 2010 Kalev Lember <kalev@smartlink.ee> - 0.1.0-0.3.svn2662
- Spec file clean up
- Removed smartcard++ obsoletes / provides

* Sun Dec 06 2009 Kalev Lember <kalev@smartlink.ee> - 0.1.0-0.2.svn2267
- Renamed to smartcardpp

* Sun Dec 06 2009 Kalev Lember <kalev@smartlink.ee> - 0.1.0-0.1.svn2251
- Initial RPM release.
